function plot_Validation( hMainFig, hPlotAxes, nPlot )

% Get tsg application data
% ------------------------
tsg  = getappdata( hMainFig, 'tsg_data');

switch nPlot
  
  % ---------------------------------------------------------------------
  case 1
    
    erase_Line( hPlotAxes, 1 );
    if ~isempty( tsg.ssps_smooth )
      plot_Tsg( hMainFig, hPlotAxes, 1, tsg.DAYD, tsg.ssps_smooth, [],...
                'SSPS_SMOOTH','k','-','*',2);
    end

    if ~isempty( tsg.SSPS )
      plot_Tsg( hMainFig, hPlotAxes, 1, tsg.DAYD, tsg.SSPS, tsg.SSPS_QC,...
                'SSPS','','none','*',2);
    end

    % Plot Salinity bucket
    % --------------------
    if ~isempty( tsg.SSPS_SPL )
      ind = find( tsg.SSPS_SPL_TYPE == 1 );
      if ~isempty(ind)
        plot_Tsg( hMainFig, hPlotAxes, 1, tsg.DAYD_SPL(ind), tsg.SSPS_SPL(ind),...
                  tsg.SSPS_SPL_QC(ind),'SSPS_SPL_1','','none','square',5);
      end
      ind = find( tsg.SSPS_SPL_TYPE > 1 );
      if ~isempty(ind)
        plot_Tsg( hMainFig, hPlotAxes, 1, tsg.DAYD_SPL(ind), tsg.SSPS_SPL(ind),...
                  tsg.SSPS_SPL_QC(ind),'SSPS_SPL_2','','none','o',5);
      end
    end

  % ---------------------------------------------------------------------
  case 2
    
    erase_Line( hPlotAxes, 2 );
    if ~isempty( tsg.SSJT )
      plot_Tsg( hMainFig, hPlotAxes, 2, tsg.DAYD, tsg.SSJT,[],...
                'SSJT','k','none','*',2);
    end
    
  % ---------------------------------------------------------------------
  case 3
    erase_Line( hPlotAxes, 3 );
    if ~isempty( tsg.SPDC )
      plot_Tsg( hMainFig, hPlotAxes, 3, tsg.DAYD, tsg.SPDC,[],...
                'SPDC','k','none','*',2);
    end
end

axesCommonProp( hPlotAxes );

end
